Skip to content

Delete a Persistent Volume

DELETE
/api/v1/persistent_volume/{cluster_id}/{pv_id}/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/persistent_volume/{cluster_id}/{pv_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Deletes a persistent volume from the cluster. The path takes the cluster_id and the pv_id (from List PVs). The action cannot be undone.

cluster_id
required
integer

The cluster_id of the cluster (from List / Detail).

Example

10001
pv_id
required
integer

The pv_id of the persistent volume to delete (from List PVs).

Example

15996
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the delete request.

Example

<API_KEY>
location
required
string

Region of the cluster.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code
integer
data
object
pv_id
integer
errors
object
message
string

Example

{
"code": 200,
"data": {
"pv_id": 15996
},
"message": "persistent volume deleted successfully"
}